#!/usr/bin/env node

// #!/usr/bin/env node的作用就是告诉系统脚本的执行程序是node，并且系统会自动寻找node的所在路径。有了这行代码我们可以直接执行 ./bin/rv而不用加node了.初次再本地init脚手架的时候，记得npm link, 这样便完成了package.json下的bin中的命令的指向而且是全局的

const program = require('commander')
const chalk = require('chalk');
var figlet = require('figlet');
console.log('')
figlet.text('- Klanli Cli -', {
  font: 'Big Money-nw',
  horizontalLayout: 'default',
  verticalLayout: 'default',
  width: 120,
  whitespaceBreak: true
}, function(err, data) {
  if (err) {
    console.log('Something went wrong...');
    console.dir(err);
    return;
  }
  console.log(chalk.green('------------------------------- welcome to klanli private cli ! -------------------------------'))
  console.log('|')
  console.log('|')
  console.log(data);
  console.log(chalk.green('-----------------------------------------------------------------------------------------------'))
});
// 定义当前版本
// 定义使用方法
// 定义四个指令
program
  .version(require('../package').version)
  .usage('<command> [options]')
  .command('create', 'create new template')
  
// 解析命令行参数
program.parse(process.argv)